Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.jai.imageio
Class PlanarImageLoader

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--com.vistech.jai.imageio.PlanarImageLoader

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class PlanarImageLoader
extends javax.swing.JPanel

A bean that loads images from a local directory or a jar file using the JAI codec.

Version:
  1.0 18 Dec 2000
Author:
  Lawrence Rodrigues
See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Field Summary
`int` | `curImageId`
`java.lang.String` | `curImageStr`
`java.lang.String[]` | `fileList`
`java.util.Hashtable` | `imageTable`
`java.util.Vector` | `imgLst`
`static int` | `JAR`
`static int` | `LOCAL_DIR`
`protected java.beans.PropertyChangeSupport` | `pcNotifier`
`protected java.beans.VetoableChangeSupport` | `vetoNotifier`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`PlanarImageLoader()`

Method Summary
`void` | `addListSelectListener(ListSelectListener il)`
`void` | `addPlanarImageLoadedListener(PlanarImageLoadedListener il)`
`void` | `browse()`
`protected void` | `fireImageLoadedEvent(javax.media.jai.PlanarImage img)`
`protected void` | `fireImageLoadedEvent(javax.media.jai.PlanarImage[] img)`
`protected void` | `fireListSelectEvent(ListSelectEvent lse)` Fires list-select events to the registered listeners.
`javax.media.jai.PlanarImage` | `getImage(int num)`
`java.lang.String` | `getLoadButtonLabel()`
`javax.media.jai.PlanarImage` | `getLoadedImage()`
`int` | `getLoadMode()`
`boolean` | `getMultiSelect()`
`int` | `getSortMode()`
`java.lang.String` | `launchFileDialog()`
`protected void` | `load()`
`javax.media.jai.PlanarImage` | `loadImage(java.lang.String imagename)`
`protected void` | `loadJarImageFiles(java.io.File dir)` Fetches the image file names from the JAR and adds them to the fileList.
`protected void` | `loadLocalImageFiles(java.io.File fl)` Fetches the image file names from the current path and adds them to the imageList.
`static void` | `main(java.lang.String[] args)`
`static javax.media.jai.PlanarImage` | `readAsPlanarImage(java.lang.String filename)`
`java.lang.String[]` | `readJarImageFileList(java.io.File jarfile)` Reads image file names from a local directory.
`java.lang.String[]` | `readLocalImageFileList(java.io.File dir)` Reads image file names from a local directory.
`void` | `removeListSelectListener(ListSelectListener il)`
`void` | `removePlanarImageLoadedListener(PlanarImageLoadedListener il)`
`void` | `save()`
`void` | `save(java.awt.image.BufferedImage bi)`
`void` | `setLoadButtonLabel(java.lang.String label)`
`void` | `setLoadedImage(javax.media.jai.PlanarImage img)`
`void` | `setLoadMode(int mode)`
`void` | `setMultiSelect(boolean mode)`
`void` | `setSortMode(int mode)`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUIClassID, paramString, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVerifyInputWhenFocusTarget, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, hide, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processFocusEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LOCAL_DIR

    public static final int LOCAL_DIR

### JAR

    public static final int JAR

### curImageStr

    public java.lang.String curImageStr

### fileList

    public java.lang.String[] fileList

### curImageId

    public int curImageId

### imgLst

    public java.util.Vector imgLst

### imageTable

    public java.util.Hashtable imageTable

### pcNotifier

    protected java.beans.PropertyChangeSupport pcNotifier

### vetoNotifier

    protected java.beans.VetoableChangeSupport vetoNotifier

Constructor Detail

### PlanarImageLoader

    public PlanarImageLoader()

Method Detail

### setMultiSelect

    public void setMultiSelect(boolean mode)

  Parameters:
    `onOff` - the multi-select flag.

### getMultiSelect

    public boolean getMultiSelect()

  Returns:
    the multi-select flag.

### setSortMode

    public void setSortMode(int mode)

  Parameters:
    `mode` - the sort mode.

### getSortMode

    public int getSortMode()

  Returns:
    the sort mode.

### setLoadButtonLabel

    public void setLoadButtonLabel(java.lang.String label)

### getLoadButtonLabel

    public java.lang.String getLoadButtonLabel()

### browse

    public void browse()

### load

    protected void load()

### loadLocalImageFiles

    protected void loadLocalImageFiles(java.io.File fl)

  Fetches the image file names from the current path and adds them to the imageList.

### readLocalImageFileList

    public java.lang.String[] readLocalImageFileList(java.io.File dir)

  Reads image file names from a local directory.
  Parameters:
    `dir` - the directory.

### loadJarImageFiles

    protected void loadJarImageFiles(java.io.File dir)

  Fetches the image file names from the JAR and adds them to the fileList.

### readJarImageFileList

    public java.lang.String[] readJarImageFileList(java.io.File jarfile)

  Reads image file names from a local directory.
  Parameters:
    `dir` - the directory.

### setLoadMode

    public void setLoadMode(int mode)

### getLoadMode

    public int getLoadMode()

### setLoadedImage

    public void setLoadedImage(javax.media.jai.PlanarImage img)

### getLoadedImage

    public javax.media.jai.PlanarImage getLoadedImage()

### getImage

    public javax.media.jai.PlanarImage getImage(int num)

### readAsPlanarImage

    public static javax.media.jai.PlanarImage readAsPlanarImage(java.lang.String filename)

### addListSelectListener

    public void addListSelectListener(ListSelectListener il)

### removeListSelectListener

    public void removeListSelectListener(ListSelectListener il)

### fireListSelectEvent

    protected void fireListSelectEvent(ListSelectEvent lse)

  Fires list-select events to the registered listeners.
  Parameters:
    `lse` - the ListSelectEvent.

### addPlanarImageLoadedListener

    public void addPlanarImageLoadedListener(PlanarImageLoadedListener il)

### removePlanarImageLoadedListener

    public void removePlanarImageLoadedListener(PlanarImageLoadedListener il)

### fireImageLoadedEvent

    protected void fireImageLoadedEvent(javax.media.jai.PlanarImage img)

### fireImageLoadedEvent

    protected void fireImageLoadedEvent(javax.media.jai.PlanarImage[] img)

### loadImage

    public javax.media.jai.PlanarImage loadImage(java.lang.String imagename)

### save

    public void save()

### launchFileDialog

    public java.lang.String launchFileDialog()

### save

    public void save(java.awt.image.BufferedImage bi)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD